gnutls_ocsp_req_add_cert(3)

NAME
gnutls_ocsp_req_add_cert - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_add_cert(gnutls_ocsp_req_t req, gnutls_digest_algorithm_t digest, gnutls_x509_crt_t issuer, gnutls_x509_crt_t cert);

ARGUMENTS

gnutls_ocsp_req_t req
    should contain a gnutls_ocsp_req_t type

gnutls_digest_algorithm_t digest
    hash algorithm, a gnutls_digest_algorithm_t value

gnutls_x509_crt_t issuer
    issuer of subject certificate

gnutls_x509_crt_t cert
    certificate to request status for

DESCRIPTION
This function will add another request to the OCSP request for a particular certificate. The issuer name hash, issuer key hash, and serial number fields is populated as follows. The issuer name and the serial number is taken from cert . The issuer key is taken from issuer . The hashed values will be hashed using the digest algorithm, normally GNUTLS_DIG_SHA1.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/